summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruno Randolf <br1@subnet.at>2004-09-28 14:42:40 +0000
committerBruno Randolf <br1@subnet.at>2004-09-28 14:42:40 +0000
commita3fc4771c0c0d334cb37458088f58ed0efca2483 (patch)
treeff166f5fd3ef28afe05e8ad5f5d17fea757262af
parentd2853d1d945a898e07a6c30ea2fae01e040b3df9 (diff)
busybox: adjust init scripts and only add to package if the server is configured in the current defconfig
BKrev: 41597860hH-ln8A8-GXKxgXptGU4ZQ
-rw-r--r--busybox/busybox_1.00-rc3.oe26
-rw-r--r--busybox/files/busybox-cron39
-rw-r--r--busybox/files/busybox-httpd48
-rw-r--r--busybox/files/busybox-udhcpd (renamed from busybox/files/udhcp-server)0
4 files changed, 105 insertions, 8 deletions
diff --git a/busybox/busybox_1.00-rc3.oe b/busybox/busybox_1.00-rc3.oe
index 56381fee84..0ee786047f 100644
--- a/busybox/busybox_1.00-rc3.oe
+++ b/busybox/busybox_1.00-rc3.oe
@@ -10,7 +10,7 @@ system."
LICENSE = "GPL"
SECTION = "base"
PRIORITY = "required"
-PR = "r7"
+PR = "r8"
# file://busybox-1.00-pre10-fuser.patch;patch=1
SRC_URI = "http://www.busybox.net/downloads/busybox-${PV}.tar.gz \
@@ -20,8 +20,8 @@ SRC_URI = "http://www.busybox.net/downloads/busybox-${PV}.tar.gz \
file://defconfig \
file://busybox-cron \
file://busybox-httpd \
+ file://busybox-udhcpd \
file://syslog \
- file://udhcp-server \
file://hwclock.sh"
S = "${WORKDIR}/busybox-${PV}"
@@ -48,11 +48,21 @@ do_compile () {
do_install () {
install -d ${D}/etc/init.d
oe_runmake 'PREFIX=${D}' install
- install -m 0755 ${WORKDIR}/busybox-cron ${D}/etc/init.d/
- install -m 0755 ${WORKDIR}/busybox-httpd ${D}/etc/init.d/
install -m 0755 ${WORKDIR}/syslog ${D}/etc/init.d/
- install -m 0755 ${WORKDIR}/udhcp-server ${D}/etc/init.d/
- install -m 0755 ${WORKDIR}/hwclock.sh ${D}/etc/init.d/hwclock.sh
- install -d ${D}${datadir}/udhcpc
- install -m 0755 ${S}/examples/udhcp/simple.script ${D}${datadir}/udhcpc/default.script
+ if grep "CONFIG_CROND=y" ${WORKDIR}/defconfig; then
+ install -m 0755 ${WORKDIR}/busybox-cron ${D}/etc/init.d/
+ fi
+ if grep "CONFIG_HTTPD=y" ${WORKDIR}/defconfig; then
+ install -m 0755 ${WORKDIR}/busybox-httpd ${D}/etc/init.d/
+ fi
+ if grep "CONFIG_UDHCPD=y" ${WORKDIR}/defconfig; then
+ install -m 0755 ${WORKDIR}/busybox-udhcpd ${D}/etc/init.d/
+ fi
+ if grep "CONFIG_HWCLOCK=y" ${WORKDIR}/defconfig; then
+ install -m 0755 ${WORKDIR}/hwclock.sh ${D}/etc/init.d/hwclock.sh
+ fi
+ if grep "CONFIG_UDHCPC=y" ${WORKDIR}/defconfig; then
+ install -d ${D}${datadir}/udhcpc
+ install -m 0755 ${S}/examples/udhcp/simple.script ${D}${datadir}/udhcpc/default.script
+ fi
}
diff --git a/busybox/files/busybox-cron b/busybox/files/busybox-cron
index e69de29bb2..f0e6b15629 100644
--- a/busybox/files/busybox-cron
+++ b/busybox/files/busybox-cron
@@ -0,0 +1,39 @@
+#!/bin/sh
+DAEMON=/usr/sbin/crond
+NAME=crond
+DESC="Busybox Periodic Command Scheduler"
+ARGS="-c /etc/cron/crontabs"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo -n "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/busybox/files/busybox-httpd b/busybox/files/busybox-httpd
index e69de29bb2..6757b93724 100644
--- a/busybox/files/busybox-httpd
+++ b/busybox/files/busybox-httpd
@@ -0,0 +1,48 @@
+#!/bin/sh
+DAEMON=/usr/sbin/httpd
+NAME=httpd
+DESC="Busybox HTTP Daemon"
+HTTPROOT="/var/www"
+ARGS="-h $HTTPROOT"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -f /etc/httpd.conf ]; then
+ echo "/etc/httpd.conf is missing."
+ exit 1
+ fi
+ if [ ! -d $HTTPROOT ]; then
+ echo "$HTTPROOT is missing."
+ exit 1
+ fi
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/busybox/files/udhcp-server b/busybox/files/busybox-udhcpd
index e69de29bb2..e69de29bb2 100644
--- a/busybox/files/udhcp-server
+++ b/busybox/files/busybox-udhcpd